SPA CRUD Configuration

SPA CRUD Configuration - Update column configuration

Updates an existing column configuration.

PATCH/api/spa/crud-configuration/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

SpaCrudConfiguration identifier

Request Body

application/json
required

The updated SpaCrudConfiguration resource

{
  "entityName": "StandardValue",
  "configuration": [
    "id",
    "identifier",
    "value",
    "active"
  ],
  "isDefaultFields": false
}

Response

200application/json

SpaCrudConfiguration resource updated

id
integer

Configuration ID

Example: 1

entityName
stringrequired

Entity name for this configuration

Example: "StandardValue"

configuration
string[]required

Array of visible column keys in display order

Example: ["id","identifier","value","active"]

userId
integer

User ID if this is a user-specific configuration (null for client default)

Example: null

clientConfigurationId
integer

Client configuration ID (for reference when saving as default)

Example: null